libzypp 17.37.10

StrMatcher.cc File Reference
`#include <solv/repo.h>`
`#include <iostream>`
`#include <sstream>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/Gettext.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/StrMatcher.h>`
`#include <zypp/sat/detail/PoolMember.h>`

Go to the source code of this file.

## Classes
class | zypp::StrMatcher::Impl
| StrMatcher implementation. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | OUTS(V)

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, Match::Mode obj)
std::ostream & | zypp::operator<< (std::ostream &str, const Match &obj)
std::ostream & | zypp::operator<< (std::ostream &str, const StrMatcher &obj)
bool | zypp::operator== (const StrMatcher &lhs, const StrMatcher &rhs)
bool | zypp::operator< (const StrMatcher &lhs, const StrMatcher &rhs)

## Macro Definition Documentation

## ◆ OUTS [1/2]

#define OUTS | ( |  | V | ) |

Value:
case Match::V: return str << #V; break
str
String related utilities and Regular expression matching.

## ◆ OUTS [2/2]

#define OUTS | ( |  | V | ) |

Value:
if ( val & Match::V.get() ) { val &= ~Match::V.get(); if ( sep ) str << sep; else sep = "|"; str << #V; }